From 23a671a1d3e2610cd3a817a5b99c18661a86067f Mon Sep 17 00:00:00 2001
From: Dagobert Michelsen <dam@opencsw.org>
Date: Sun, 26 May 2013 22:55:12 +0200
Subject: [PATCH 1/2] Sun Studio can not include static function from extern
 inline

---
 src/libFLAC/bitwriter.c | 5 ++++-
 1 file changed, 4 insertions(+), 1 deletion(-)

diff --git a/src/libFLAC/bitwriter.c b/src/libFLAC/bitwriter.c
index 30a7fd9..9a99d13 100644
--- a/src/libFLAC/bitwriter.c
+++ b/src/libFLAC/bitwriter.c
@@ -79,7 +79,10 @@ struct FLAC__BitWriter {
 };
 
 /* * WATCHOUT: The current implementation only grows the buffer. */
-static FLAC__bool bitwriter_grow_(FLAC__BitWriter *bw, unsigned bits_to_add)
+#ifndef __SUNPRO_C
+static
+#endif
+FLAC__bool bitwriter_grow_(FLAC__BitWriter *bw, unsigned bits_to_add)
 {
 	unsigned new_capacity;
 	uint32_t *new_buffer;
-- 
1.8.1.4

